commit:     46da2bd8223553d5239a539089a84512d572d437
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 27 03:15:24 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 27 03:24:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46da2bd8

dev-python/pathable: Bump to 0.5.0_alpha1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pathable/Manifest                     |  1 +
 dev-python/pathable/pathable-0.5.0_alpha1.ebuild | 31 ++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/pathable/Manifest b/dev-python/pathable/Manifest
index 987d500387e5..9bad37ff0cbb 100644
--- a/dev-python/pathable/Manifest
+++ b/dev-python/pathable/Manifest
@@ -1 +1,2 @@
 DIST pathable-0.4.4.gh.tar.gz 21381 BLAKE2B 
f0ba3579204a636948f96259bc67b3a6e923af1de7b6fcf4021152c9482f82fc362d5d50cb1bcd6b5393c49d2914c6d36e941647754ef7bc2554722ad02f38ad
 SHA512 
4b1ec32f7e952749ec0384036e7becf5343e92cbec9160627c2a678e314d7387bd4ad56a3953171038a38102c715469e973218cb3995df414bd9dd750986e046
+DIST pathable-0.5.0a1.gh.tar.gz 30683 BLAKE2B 
7416acc83d431b9140ca9ad9f54c975b18aef146bbfbf9a176c4d2d68a1732bcc9848df7324a01b09e2dceef5d09cc340e7fd805654072a3f7d402f603a6aea1
 SHA512 
3f3e0c43f94bd1043c5e14d4d5ba3fd5256f9e6bd295b223918af40c25494f3844f25e9f1e75acf04192b2a83f2d72a0c57631012a08759ba755cd5ff5724790

diff --git a/dev-python/pathable/pathable-0.5.0_alpha1.ebuild 
b/dev-python/pathable/pathable-0.5.0_alpha1.ebuild
new file mode 100644
index 000000000000..b65988c56008
--- /dev/null
+++ b/dev-python/pathable/pathable-0.5.0_alpha1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_alpha/a}
+DESCRIPTION="Object-oriented paths"
+HOMEPAGE="
+       https://pypi.org/project/pathable/
+       https://github.com/p1c2u/pathable
+"
+SRC_URI="
+       https://github.com/p1c2u/pathable/archive/${PV/_alpha/a}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -e '/--cov/d' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}

Reply via email to